<template>
  <main>
    <lazy-hydrate when-idle>
      <cover-section
        v-if="cover"
        :class="coverColor"
        :headline="cover.headline"
        :image="cover.cover_image.image"
        :imageDesc="cover.cover_image.description"
      />
    </lazy-hydrate>

    <!-- Page content will be inserted here  -->
    <slot />

    <lazy-hydrate ssr-only>
      <cta-section v-if="showCta" v-bind="cta" />
    </lazy-hydrate>

    <mailto-ui-loader />
  </main>
</template>

<script>
import CoverSection from '~/components/common/CoverSection';
import CtaSection from '~/components/common/CtaSection';
import MailtoUiLoader from '~/components/common/MailtoUiLoader';

export default {
  name: 'Page',
  components: {
    CoverSection,
    CtaSection,
    MailtoUiLoader,
  },
  inject: ['site'],
  props: {
    cover: Object,
    coverColor: String,
    showCta: { type: Boolean, default: true },
  },
  computed: {
    cta() {
      return this.site.settings.cta;
    },
  },
};
</script>
